Bug 525529 - Doesn't allow to eject cd with button
Summary: Doesn't allow to eject cd with button
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exo
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-24 17:46 UTC by Alexey Torkhov
Modified: 2009-11-04 12:16 UTC (History)
2 users (show)

Fixed In Version: 0.3.104-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-10 18:49:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Xfce 2968 None None None Never

Description Alexey Torkhov 2009-09-24 17:46:40 UTC
Description of problem:
Pressing eject button on cd results in error dialog with text like (in my translation to english):
Cannot eject "/org/freedesktop/Hal/devices/storage_model_DVD_RW_AD_7201S"..
Named device "/org/freedesktop/Hal/devices/storage_model_DVD_RW_AD_7201S" is not volume or drive.

But it is possible to eject disk from file manager.

Version-Release number of selected component (if applicable):
xfdesktop-4.6.1-2.fc12.x86_64

How reproducible:
Always.

Additional info:
Don't know which component is right.

Comment 1 Kevin Fenzi 2009-09-25 19:19:03 UTC
Will investigate. Thanks for the bug report!

Comment 2 Kevin Fenzi 2009-09-26 02:16:49 UTC
This looks to be upstream bug: 
http://bugzilla.xfce.org/show_bug.cgi?id=2968

There are some patches there, but for some reason they have never landed. ;( 

I'll look at adding these patches to our Thunar.

Comment 3 Christoph Wickert 2009-10-10 17:42:39 UTC
Fixed in exo-0.3.104. Built for Rawhide, tag for F12 requested, update for F11 at
https://admin.fedoraproject.org/updates/F11/FEDORA-2009-10234

Comment 4 Fedora Update System 2009-11-04 12:16:21 UTC
exo-0.3.104-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.